# ApplicationFramework
TKCDF
CDM

# CDM_DataMapNodeOfPresentationDirectory Class Reference

`#include <CDM_DataMapNodeOfPresentationDirectory.hxx>`

## Public Member Functions

| CDM_DataMapNodeOfPresentationDirectory (const TCollection_ExtendedString &K, const Handle(CDM_Document)&I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Handle_CDM_Document & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_ExtendedString | myKey
Handle_CDM_Document | myValue

## Constructor & Destructor Documentation

CDM_DataMapNodeOfPresentationDirectory::CDM_DataMapNodeOfPresentationDirectory | ( | const TCollection_ExtendedString & | K,
|  | const Handle(CDM_Document)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const CDM_DataMapNodeOfPresentationDirectory::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& CDM_DataMapNodeOfPresentationDirectory::Key | ( |  | ) | const

Handle_CDM_Document& CDM_DataMapNodeOfPresentationDirectory::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString CDM_DataMapNodeOfPresentationDirectory::myKey `[private]`

Handle_CDM_Document CDM_DataMapNodeOfPresentationDirectory::myValue `[private]`

The documentation for this class was generated from the following file:

- CDM_DataMapNodeOfPresentationDirectory.hxx